package com.muchinfo.mtp3century.service;

import com.muchinfo.mtp3century.utils.AjaxResult;
import com.muchinfo.mtp3common.vo.PageResult;
import com.muchinfo.mtp3pojos.vo.profitshar.*;

import javax.servlet.http.HttpServletRequest;

public interface IProfitSharService {
    PageResult<ProfitSharGroupResult> queryPage(String subareagroupname, Integer pageNum, Integer pageSize, HttpServletRequest request);

    AjaxResult dealMessage(ProfitSharParam param, HttpServletRequest request);

    AjaxResult delete(Long groupId, HttpServletRequest request);

    PageResult<ProfitSharMemberResult> memberQuery(Long subareagroupid, Integer pageNum, Integer pageSize,HttpServletRequest request);

    AjaxResult<ProfitSharGroupOrganResult> groupOrgan(HttpServletRequest request);

    AjaxResult memberAdd(ProfitSharMemberParam param, HttpServletRequest request);

    AjaxResult deleteMember(Long userid, HttpServletRequest request);

    AjaxResult<ProfitSharInitResult> initProfitShar(HttpServletRequest request);

    AjaxResult delSOrganSec(ProfitSharSorgansecParam param, HttpServletRequest request);

    AjaxResult deleteSOrganSec(Integer dividefeetype, Long marketid, Long subareagroupid, HttpServletRequest request);
}
